Subject: [sfc] Comments on ietf-sfc-oam-framework

From: Dave Dolson <[email-masked]>
Date: Wed, 6 Jul 2016 19:37:22 +0000

The sfc-oam-framework document discusses monitoring of SFs, but I'm having some trouble with the descriptions.

(1)
Firstly, in section 3,

   SFs may be SFC-aware or SFC-unaware.  An SFC-aware SF is one that
   understands the SFC encapsulation has the SFF component co-resident with
   the SF sub-component .  An SFC-unware SF is one that does not understand
   the SFC encapsulation (i.e. a legacy SF) and has to be accessed via an
   separate SFF and potentially an SFC proxy function.

The second sentence is grammatically confusing. I think it intended "... and has the SFF component co-resident..."
But as I understand it, an SF can be SFC-aware without a co-resident SFF.

I propose rewording, allowing non-resident SFF:
   SFs may be SFC-aware or SFC-unaware.  An SFC-aware SF is one that
   understands the SFC encapsulation.  An SFC-unware SF is one that does not understand
   the SFC encapsulation (i.e. a legacy SF) and has to be accessed via an
   SFC proxy function.

(2)
Secondly, in section 3.1.1, monitoring of the SF is considered out of scope, which seems to mean monitoring of the SF from afar.
However, we see a very real need for standardization of monitoring the SF from the SFF.
I propose adding something like this:
   There is a requirement for an SFF to monitor health of connected SFs.
   It is beyond the scope of this document to specify how to
   monitor full functionality of an SF because
   the functions provided by the SF are out of scope of SFC.
   However, to provide rapid fail-over detection, there is a requirement
   for an SFF to determine if an SF is capable of forwarding packets.
   An optional capability may allow an SF to indicate a measure of load
   to the SFF, assisting in load-balancing to equivalent SFs.

Concretely, I'm trying to explain the need for a single-hop ping-like mechanism between SFF and SF.

David Dolson
Senior Software Architect, Sandvine Inc.